
/* GOOGLE FONTS CDN LINK */
@import url('https://fonts.googleapis.com/css2?family=Heebo:wght@400;500;700;900&display=swap');


/* SITE MAIN STYLES */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Heebo', sans-serif;
}

.container {
    width: 90%;
    padding: 0 2%;
    margin: 0 auto;
}

.menuIcon {
    display: none !important;
}

.activePage {
    color: #FF6464 !important;
    border-bottom: 2px solid #FF6464 !important;
}

b {
    color: #FF6464;
}

/* NAVBAR STYLES */

header {
    height: 100vh;
    display: flex;
    align-items: center;
    flex-direction: column;
}

nav {
    height: 100px;
    display: flex;
    align-items: center;
    text-align: center;
    width: 100%;
    padding: 10px 0;
    box-shadow: -3px 14px 35px 4px rgba(0,0,0,0.39);
    -webkit-box-shadow: -3px 14px 35px 4px rgba(0,0,0,0.39);
    -moz-box-shadow: -3px 14px 35px 4px rgba(0,0,0,0.39);
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 0;
}

.mwText {
    font-family:  'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 44px;
    color: #21243D;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.mwTextLink {
    text-decoration: none;
}

.mwTextLink,
.mwText:hover ,
.mwText:focus {
    outline: none;
    transform: scale(0.90) translateX(5px) translateY(10px);
}

.navList {
    display: flex;
    list-style-type: none;
}

.navLinks {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 29px;
    color: #000000;
    margin: 0 15px;
    text-decoration: none;
    text-transform: uppercase;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    margin-bottom: 2px;
    border-bottom: 2px solid #fff;  

}

.navLinks:hover ,
.navLinks:focus {
    color: #FF6464;
    outline: none;
    border-bottom: 2px solid #FF6464;
}


/* WORKS PART STARTED */

.myWorksHeader {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 900;
    font-size: 44px;
    color: #21243D;
    margin: 20px 0;
}

.myWorkCardsWrapper {
    padding: 50px;
}

.myWorkCards {
    display: flex;
    margin: 20px 0;
}

.myProjectImg {
    width: 350px;
    margin-right: 50px;
}

.myWorksTitle {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 700;
    font-size: 27px;
    color: #21243D;
}   

.myWorksInfo {
    display: flex;
    margin: 10px 0;
}

.myWorksYear {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 900;
    font-size: 18px;
    color: #FFFFFF;
    padding: 5px 15px;
    margin-right: 40px;
    background: #142850;
    border-radius: 16px;
}

.myWorksName {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    color: #8695A4;
    
}

.myWorksComment {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #21243D;
}

/* SITE PROJECTS PART STARTED */

.siteCardsWrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 30px;
}

.siteCards {
    padding: 20px;
}

.siteTitle {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 700;
    font-size: 28px;
    color: #21243D;
    margin-bottom: 17px;
}

.siteInfo {
    display: flex;
    align-items: center;
    margin: 20px 0;
}

.siteYear {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    color: #21243D;
    margin-right: 20px;
}

.siteName {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    color: #21243D;
}

.siteComment {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #21243D;
    margin-bottom: 20px;
}

.siteProjectLink {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    color: #FFFFFF;
    background: #FF6464;
    border-radius: 20px;
    padding: 5px 15px;
    text-decoration: none;
    border: 2px solid #fff;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.siteProjectLink:hover {
    color: #FF6464;
    background-color: #fff;
    border: 2px solid #FF6464;
}



















/* FOOTER PART STARTED */


.socialFooterLinkList {
    display: flex;
    align-items: center;
    justify-content: center ;
    text-align: center;
    list-style-type: none;
    margin: 20px 0;
}

.socialFooterLinksLink {
    font-size: 25px;
    margin: 0 20px;
    color: #21243D;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.socialFooterLinksLink:hover {
    color: #FF6464;
    transform: scale(1.1);
}

















@media screen and (max-width: 1000px) {
    
    .menuIcon {
        display: block !important;
        font-size: 24px;
    }

    .menuIcon:active {
        color: #FF6464;
    }

    nav {
        padding: 2% 0;
        text-align: center;
        box-shadow: none;
        margin-bottom: 0;
    }

    .navbar {
        padding: 0 !important;
        margin-bottom: 0;
    }
    

    .navList {
        width: 100%;
        height: auto;
        position: fixed;
        top: 19%;
        left: -100%;
        right: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        font-weight: 900;
        background: url(/Images/MW-logo.jpg)center/cover !important;
        padding: 0 20px;
        cursor: pointer;
        transition: 1s ease-in-out;
    }

    .active {
        left: 0;
        transition: 1s ease-in-out;
    }

    .navItem {
        margin: 10px 0;
        padding: 15px;
    }

    .navLinks {
        font-size: 20px;
        color: #fff;
        border-bottom: 2px solid transparent #fff;
    }
    
    .mwText {
        font-size: 40px;
    }

    /* HERO STYLES */

    header {
        height: auto;
    }

    .heroWrapper {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
    }

    .heroHeader {
        font-size: 40px;
    }

    .heroImgSection {
        margin-top: 50px;
    }

    .heroImg {
        width: 300px;
        height: 300px;
    }

    .socialLinksLink i {
        font-size: 20px;
        color: #FF6464;
    } 

    .heroText {
        padding-right: 0;
    }

    /* MAIN PART STARTED */
    
    .recentPostsHeader {
        text-align: center;
    }

    .recentPostWorks {
        display: grid;
        grid-template-columns: repeat(1 , 1fr);
    }

    .worksCard {
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .worksCardDateName {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .designCardsImg {
        width: 300px;
    }

    .designCardsTitle {
        font-size: 25px;
        margin-top: 20px;
    }

    .desingCardsComment {
        width: 100%;
    }

    /* WORKS PART STARTED */

    .myWorksHeader {
        font-size: 30px;
        text-align: center;
        margin: 10px 0;
    }

    .myWorkCardsWrapper {
        padding: 20px;
    }

    .myWorkCards {
        display: flex;
        align-content: center;
        justify-content: center;
        text-align: center;
        flex-direction: column;
    }

    .myWorksTitle {
        margin-top: 20px;
        font-size: 25px;
    }

    .myProjectImg {
        width: 400px;
        margin-right: 0 !important;
    }

    .myWorksInfo {
        display: flex;
        align-content: center;
        justify-content: space-evenly;
        text-align: center;
    }

    .myWorksYear {
        margin-right: 0;    
    }

    .myWorksComment {
        margin-top: 20px;
    }


    /* SITE PROJECTS PART STARTED */

    .siteCardsWrapper {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
    }

    .siteCards {
        padding: 10px;
        text-align: center;
    }

    .siteInfo {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
    }

    .siteYear {
        margin-right: 0;
    }

}

@media screen and (max-width : 600px ) {

    .myWorkCardsWrapper {
        padding: 10px;
    }

    .myProjectImg {
        width: 300px;
        margin-right: 0;
    }

    .myWorksTitle {
        font-size: 20px;
    }

    .myWorksComment {
        font-size: 14px;
    }

    /* SITE PROJECT PART STARTED */

    .siteTitle {
        font-size: 26px;
    }

    .myWorksHeader {
        font-size: 26px;
    }

}

@media screen and (max-width : 400px ) {

    .myWorksImgSection {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .myProjectImg {
        width: 300px;
    }

    .myWorksTitle {
        font-size: 20px;
    }

    .myWorksYear {
        font-size: 15px;
        padding: 5px 10px;
        margin-bottom: 10px;
    }

    .myWorksName {
        font-size: 15px;
    }

    .myWorksComment {
        font-size: 12px;
    }

    /* SITE PROJECT PART STARTED */

    .siteTitle {
        font-size: 23px;
    }

    .siteName, .siteYear {
        font-size: 15px;
    }

    .myWorksHeader {
        font-size: 24px;
    }

}